Bug 195170 - multimedia/linux-realplayer: convert to USES=webplugin
Summary: multimedia/linux-realplayer: convert to USES=webplugin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-19 18:23 UTC by Jan Beich
Modified: 2015-01-07 14:36 UTC (History)
1 user (show)

See Also:


Attachments
fix (2.01 KB, patch)
2014-11-19 18:23 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2014-11-19 18:23:45 UTC
Created attachment 149594 [details]
fix

The port installs plugins under /usr/local/lib/linux-mozilla/plugins but www/linux-mozilla which uses the directory was removed 4 years ago. Move the plugin under /usr/local/lib/browser_plugins where other linux ports can find it.
Comment 1 Bugzilla Automation freebsd_committer 2014-11-19 18:23:45 UTC
Auto-assigned to maintainer multimedia@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2014-12-06 19:41:44 UTC
A commit references this bug:

Author: riggs
Date: Sat Dec  6 19:41:41 UTC 2014
New revision: 374142
URL: https://svnweb.freebsd.org/changeset/ports/374142

Log:
  Fix install location for plugins by USES=webplugin
  - Bump PORTREVISION

  While on it:
  - Modernise pkg-plist
  - Cleaning up Makefile

  PR:		195170
  Submitted by:	jbeich@vfemail.net

Changes:
  head/multimedia/linux-realplayer/Makefile
  head/multimedia/linux-realplayer/pkg-plist
Comment 3 Thomas Zander freebsd_committer 2014-12-06 19:44:36 UTC
Committed with additional modifications:
- Bump PORTREVISION
- Cleanup Makefile
- Modernise pkg-plist